SQLite3_stmt
SQLite3_result
SQLite3_stmt
PHP Manual

# SQLite3_stmt::reset

(No version information available, might be only in CVS)

SQLite3_stmt::reset — Resets the prepared statement

### Description

public bool SQLite3_stmt::reset ( void )

Resets the prepared statement to its state prior to execution. All bindings remain intact after reset.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the statement is successfully reset, `FALSE` on failure.

### Examples

Example #1 SQLite3_stmt::reset() example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

SQLite3_stmt
SQLite3_result
SQLite3_stmt
PHP Manual